List Bigtable table groups
This operation returns the list of Bigtable table groups associated with the instance.
Query Parameters
- clientid string required
Id of the cloud Account
- applicationId string required
Default value:
134Id of the App Type
- instanceId string required
Id of the instance
Responses
- 200
OK
- application/json
- Schema
- Example (from schema)
- Table groups details
Schema
- filterQueryCount integer
subClientProperties object[]
useLocalContent booleanprotectionGroupDeleteOption integerisProtectionGroupGenerated booleanisFailoverSubclient integeruseLocalArchivalRules booleannasBlockDeviceSubclientProps object
planEntity object
cassandraProps object
awsEFSProperties object
taPlanEntity object
splunkProps object
bigDataProps object
proxyClient object
dcPlanEntity object
subClientEntity object
clientName stringinstanceName stringdisplayName stringbackupsetId integer_type_ integercommCellName stringinstanceId integercsGUID stringsubclientGUID stringsubclientId integerclientId integerappName stringbackupsetName stringapplicationId integersubclientName stringentityInfo object
companyId integercompanyName stringmultiCommcellId integerdfsSubclientProp object
databricksSubclientProps object
region object
auditPlanEntity object
analyticsSubclientProp object
{
"filterQueryCount": 0,
"subClientProperties": [
{
"useLocalContent": true,
"protectionGroupDeleteOption": 0,
"isProtectionGroupGenerated": true,
"isFailoverSubclient": 0,
"useLocalArchivalRules": true,
"nasBlockDeviceSubclientProps": {},
"planEntity": {},
"cassandraProps": {},
"awsEFSProperties": {},
"taPlanEntity": {},
"splunkProps": {},
"bigDataProps": {},
"proxyClient": {},
"dcPlanEntity": {},
"subClientEntity": {
"clientName": "string",
"instanceName": "string",
"displayName": "string",
"backupsetId": 0,
"_type_": 0,
"commCellName": "string",
"instanceId": 0,
"csGUID": "string",
"subclientGUID": "string",
"subclientId": 0,
"clientId": 0,
"appName": "string",
"backupsetName": "string",
"applicationId": 0,
"subclientName": "string",
"entityInfo": {
"companyId": 0,
"companyName": "string",
"multiCommcellId": 0
}
},
"dfsSubclientProp": {},
"databricksSubclientProps": {},
"region": {},
"auditPlanEntity": {},
"analyticsSubclientProp": {}
}
]
}
{
"filterQueryCount": 1,
"subClientProperties": [
{
"useLocalContent": false,
"protectionGroupDeleteOption": 0,
"isProtectionGroupGenerated": false,
"isFailoverSubclient": 0,
"useLocalArchivalRules": false,
"nasBlockDeviceSubclientProps": {},
"planEntity": {},
"cassandraProps": {},
"awsEFSProperties": {},
"taPlanEntity": {},
"splunkProps": {},
"bigDataProps": {},
"proxyClient": {},
"dcPlanEntity": {},
"subClientEntity": {
"clientName": "GCP-1",
"instanceName": "Bigtable2",
"displayName": "GCP-1",
"backupsetId": 130,
"_type_": 7,
"commCellName": "scs2",
"instanceId": 121,
"csGUID": "9AAC4F82-F749-4D",
"subclientGUID": "1135A32E-",
"subclientId": 166,
"clientId": 20,
"appName": "Cloud Apps",
"backupsetName": "defaultBackupSet",
"applicationId": 134,
"subclientName": "default",
"entityInfo": {
"companyId": 0,
"companyName": "Commcell",
"multiCommcellId": 0
}
},
"dfsSubclientProp": {},
"databricksSubclientProps": {},
"region": {},
"auditPlanEntity": {},
"analyticsSubclientProp": {}
}
]
}
Loading...